Difference between revisions of "SoundJuicer"

From ArchWiki
Jump to: navigation, search
 
(Files for lossy ( ogg / vorbis ) format are far too big, and don't play)
Line 11: Line 11:
 
This problem is a collision of two mistakes:
 
This problem is a collision of two mistakes:
  
1. The programmers of Sound-Juicer have neglected to generate an error to the user when the gstreamer plugin for the ogg-vorbis format is not present. Sound-Juicer instead generates large files which I think might be .flac format.
+
1. The programmers of Sound-Juicer have neglected to generate an error to the user when the gstreamer plugin for the ogg-vorbis format is not present. Sound-Juicer instead generates large files which I think might be FLAC format. They still however have the .ogg file extension
  
 
2. The package maintainer for Sound-Juicer has not included the ogg-vorbis gstreamer plugin as a runtime pre-requisite. The latter should be easily fixed and I should follow it up.
 
2. The package maintainer for Sound-Juicer has not included the ogg-vorbis gstreamer plugin as a runtime pre-requisite. The latter should be easily fixed and I should follow it up.

Revision as of 13:36, 7 August 2006

Description

Sound Juicer's primary function is the extraction of audio tracks from CDs, and to then encode them into a compressed audio format. It currently provides the following features:

  • Automatic track tagging via CDDB
  • Encoding to ogg / vorbis, FLAC and raw WAV
  • Easy to configure encoding path

Problems

Files for lossy ( ogg / vorbis ) format are far too big, and don't play

This problem is a collision of two mistakes:

1. The programmers of Sound-Juicer have neglected to generate an error to the user when the gstreamer plugin for the ogg-vorbis format is not present. Sound-Juicer instead generates large files which I think might be FLAC format. They still however have the .ogg file extension

2. The package maintainer for Sound-Juicer has not included the ogg-vorbis gstreamer plugin as a runtime pre-requisite. The latter should be easily fixed and I should follow it up.

The solution is to install these packages from [extra]:

  • gstreamer0.10-ogg-0.10.7-1
  • gstreamer0.10-vorbis-0.10.7-1